Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.rn.baselegaldata.v1
Class NationalityInfoBaseType

    java.lang.Object
      be.fgov.ehealth.rn.baselegaldata.v1.NationalityInfoBaseType

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  NationalityInfoWithSourceType

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:07:15+01:00",
               comments="JAXB RI v2.2.11")
    public class NationalityInfoBaseType

extends Object
implements Serializable

Java class for NationalityInfoBaseType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="NationalityInfoBaseType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="NationalityCode" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}NationalityCodeType" minOccurs="0"/>
             <element name="NationalityDescription" type="{urn:be:fgov:ehealth:rn:commons:business:v1}LocalizedDescriptionType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="InceptionDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`NationalityInfoBaseType()`

Method Summary
`org.joda.time.DateTime` | `getInceptionDate()` Gets the value of the inceptionDate property.
`Integer` | `getNationalityCode()` Gets the value of the nationalityCode property.
`List<LocalizedDescriptionType>` | `getNationalityDescriptions()` Gets the value of the nationalityDescriptions property.
`void` | `setInceptionDate(org.joda.time.DateTime value)` Sets the value of the inceptionDate property.
`void` | `setNationalityCode(Integer value)` Sets the value of the nationalityCode property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NationalityInfoBaseType

    public NationalityInfoBaseType()

Method Detail

### getNationalityCode

    public Integer getNationalityCode()

  Gets the value of the nationalityCode property.

  Returns:
    possible object is `Integer`

### setNationalityCode

    public void setNationalityCode(Integer value)

  Sets the value of the nationalityCode property.

  Parameters:
    `value` - allowed object is `Integer`

### getNationalityDescriptions

    public List<LocalizedDescriptionType> getNationalityDescriptions()

  Gets the value of the nationalityDescriptions property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the nationalityDescriptions property.

  For example, to add a new item, do as follows:

          getNationalityDescriptions().add(newItem);

  Objects of the following type(s) are allowed in the list `LocalizedDescriptionType`

### getInceptionDate

    public org.joda.time.DateTime getInceptionDate()

  Gets the value of the inceptionDate property.

  Returns:
    possible object is `String`

### setInceptionDate

    public void setInceptionDate(org.joda.time.DateTime value)

  Sets the value of the inceptionDate property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.